Skip to main content
GET
Get placement group

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234_abcdef

Path Parameters

project_id
integer
required

Project ID.

Example:

1

placement_group_id
string<uuid4>
required

Placement group ID.

Example:

"47003067-550a-4f17-93b6-81ee16ba061e"

Response

Placement group

created_at
string<date-time>
required

Datetime when the placement group was first seen.

id
string<uuid4>
required

Placement group ID.

Example:

"47003067-550a-4f17-93b6-81ee16ba061e"

managed_by
GlobalPlacementGroupManagedBySerializer · object | null
required

Service that operates this placement group. A managed group is read-only and you cannot delete it. Null when you operate the group.

member_ids
string<uuid4>[]
required

UUIDs of the instances that are members of this placement group, sorted ascending.

Example:
name
string
required

Placement group name.

Example:

"web-affinity"

policy
enum<string>
required

Placement policy: affinity, anti-affinity, soft-affinity, or soft-anti-affinity.

Available options:
affinity,
anti-affinity,
soft-affinity,
soft-anti-affinity
Example:

"anti-affinity"

region_id
integer
required

Region ID.

Example:

5

updated_at
string<date-time>
required

Datetime when the placement group last changed.